﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=7.3
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.	
	
	Public Aqui As WayPoint
End Sub

'Calcula la distancia entre nosotros y el objetivo
Sub DistanciaA(Objetivo As WayPoint) As Float
	
	Dim LocationA, LocationB As Location
	Dim Distancia As Float
	
	'Nosotros
	LocationA.Initialize
	LocationA.Latitude = Aqui.latitud
	LocationA.Longitude = Aqui.longitud
	
	'Objetivo
	LocationB.Initialize
	LocationB.Latitude = Objetivo.latitud
	LocationB.Longitude = Objetivo.longitud
		
	Distancia = LocationA.DistanceTo(LocationB)
	Return Distancia
End Sub

Sub DistanciaAB(Objetivo As WayPoint) As Float
	
	Dim LocationA, LocationB As Location
	Dim Distancia As Float
	
	'Nosotros
	LocationA.Initialize
	LocationA.Latitude = Aqui.latitud
	LocationA.Longitude = Aqui.longitud
	
	'Objetivo
	LocationB.Initialize
	LocationB.Latitude = Objetivo.latitud
	LocationB.Longitude = Objetivo.longitud
		
	Distancia = LocationA.DistanceTo(LocationB)
	Return Distancia
End Sub

Sub NewWayPoint(nombre As String, Latitud As String, Longitud As String, direccion As String, tel1 As String, tel2 As String, distanciaAlerta As Int) As WayPoint
	Dim Objetivo As WayPoint
	Objetivo.Initialize
	Objetivo.nombre = nombre
	Objetivo.latitud = Latitud
	Objetivo.longitud = Longitud
	Objetivo.direccion = direccion
	Objetivo.tel1 = tel1
	Objetivo.tel2 = tel2
	If (Aqui.IsInitialized)	Then
		Objetivo.distancia = DistanciaA(Objetivo)
	Else
		Objetivo.distancia = 0
	End If
	
	Objetivo.distanciaAlerta = distanciaAlerta
	Return Objetivo
End Sub

Public Sub Notifica (titulo As String, msg As String, Sound As Boolean, id As Int)	
	If Sound Then
		Dim p As Phone
		p.SetVolume(p.VOLUME_NOTIFICATION, 7, False)	
	End If
	
	
	Private n As Notification
	n.Initialize
	n.Icon = "icon"
	n.AutoCancel = True
	n.Sound = Sound
	n.Vibrate = False
	n.Light = True
	n.SetInfo2(titulo, msg, "gato", Main)
	n.Notify(id)
End Sub